"""create exposure notifications model

Revision ID: a31bfe8eba6b
Revises: 8bc2e50b6d22
Create Date: 2020-07-02 19:19:19.971471

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "a31bfe8eba6b"
down_revision = "8bc2e50b6d22"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "exposure_notifications",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("created_at", sa.DateTime(), nullable=True),
        sa.Column("updated_at", sa.DateTime(), nullable=True),
        sa.Column("email", sa.String(length=128), nullable=True),
        sa.Column("notified_at", sa.Date(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("email"),
    )
    op.create_index(
        op.f("ix_exposure_notifications_id"),
        "exposure_notifications",
        ["id"],
        unique=False,
    )
    op.create_table(
        "story_notifications",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("created_at", sa.DateTime(), nullable=True),
        sa.Column("updated_at", sa.DateTime(), nullable=True),
        sa.Column("story_id", sa.Integer(), nullable=True),
        sa.Column("notification_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["notification_id"], ["exposure_notifications.id"],
        ),
        sa.ForeignKeyConstraint(["story_id"], ["stories.id"],),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(
        op.f("ix_story_notifications_id"),
        "story_notifications",
        ["id"],
        unique=False,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(
        op.f("ix_story_notifications_id"), table_name="story_notifications"
    )
    op.drop_table("story_notifications")
    op.drop_index(
        op.f("ix_exposure_notifications_id"),
        table_name="exposure_notifications",
    )
    op.drop_table("exposure_notifications")
    # ### end Alembic commands ###
